Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1)
+++ palm/trunk/SOURCE/parin.f90	(revision 2)
@@ -4,111 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! 
+! +netcdf_64bit_3d in d3par, revision history cleaned up
 !
 ! Former revisions:
 ! -----------------
-! $Log: parin.f90,v $
+! $Id$
+!
 ! Revision 1.57  2007/02/11 13:11:22  raasch
 ! Values of environment variables are now read from file ENVPAR instead of
 ! reading them with a system call, + NAMELIST envpar
 !
-! Revision 1.56  2006/08/22 14:13:56  raasch
-! +dz_max in inipar
-!
-! Revision 1.55  2006/08/04 14:53:43  raasch
-! +use_upstream_for_tke
-!
-! Revision 1.54  2006/03/17 08:45:44  raasch
-! +skip_time_data_output_av
-!
-! Revision 1.53  2006/02/23 12:46:19  raasch
-! parameters for 2d/3d averaging,
-! +conserve_volume_flow, dissipation_1d, e_min, mixing_length_1d, topography, &
-! wall_heatflux in inipar,
-! +data_output, netcdf_64bit, skip_time_dosp, skip_time_dopr, etc. in d3par,
-! allocation of nanz_2dh and nanz_3d moved to init_3d_model, ebene renamed
-! section, average_period_pr1d removed, average_period_pl1d renamed
-! averaging_interval_pr, dt_average renamed dt_averaging_input_pr,
-! +parameters for single building topography settings
-!
-! Revision 1.52  2005/06/29 10:21:15  steinfeld
-! +ug_surface, ug_vertical_gradient, ug_vertical_gradient_level,
-!  vg_surface, vg_vertical_gradient, vg_vertical_gradient_level in inipar;
-! arrays ug and vg are allocated during initialization runs
-!
-! Revision 1.51  2005/06/26 20:06:26  raasch
-! +cloud_droplets in inipar
-!
-! Revision 1.50  2005/05/18 15:40:49  raasch
-! +netcdf_precision in inipar, +data_output_format in d3par
-!
-! Revision 1.49  2005/04/23 09:35:23  raasch
-! fcl_factor renamed cfl_factor
-!
-! Revision 1.48  2005/03/26 20:42:17  raasch
-! +bc_lr, bc_ns, call_psolver_at_all_substeps, inflow_disturbance_begin, &
-! inflow_disturbance_end, km_damp_max, outflow_damping_width in inipar
-!
-! Revision 1.47  2004/04/30 12:32:06  raasch
-! +grid_matching in inipar, impulse_advec renamed momentum_advec
-!
-! Revision 1.46  2003/10/29 09:03:06  raasch
-! +mg_cycles, mg_switch_to_pe0_level in d3par
-!
-! Revision 1.45  2003/03/16 09:42:23  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.44  2003/03/14 13:45:24  raasch
-! +random_generator in inipar
-!
-! Revision 1.43  2003/03/12 16:35:55  raasch
-! Reading of environment variable tasks_per_node moved from poisfft_hybrid
-! to here
-!
-! Revision 1.42  2002/12/19 15:55:31  raasch
-! Saving preliminary process-id-string for opening unit 14 (binary output for
-! restart). Array hom is allocated during first run only, allocation during
-! restart runs will now be done in read_var_list.
-! +dt_restart, restart_time in d3par, STOP statement replaced by call of
-! subroutine local_stop
-!
-! Revision 1.41  2002/04/16 08:10:50  raasch
-! +bc_s_b, bc_s_t, surface_scalarflux, s_surface, s_surface_initial_change,
-! s_vertical_gradient, s_vertical_gradient_level in inipar
-!
-! Revision 1.40  2001/08/21 09:54:27  raasch
-! MPI_COMM_WORLD replaced by comm_palm, +wall_adjustment in inipar
-!
-! Revision 1.39  2001/07/20 13:10:07  raasch
-! +cycle_mg, ngsrb, residual_limit in d3par
-!
-! Revision 1.38  2001/03/30 07:43:55  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.),
-! namelist d3par can also be omitted in the initial run
-!
-! Revision 1.37  2001/01/29 12:30:26  raasch
-! +passive_scalar in inipar
-!
-! Revision 1.36  2001/01/25 07:17:39  raasch
-! +fft_method, use_surface_fluxes in inipar
-!
-! Revision 1.35  2001/01/02 17:32:13  raasch
-! Unit 11 closed at the end of the subroutine
-!
-! Revision 1.34  2000/12/28 13:24:51  raasch
-! Call of package_parin. dt_dvrp and threshold moved
-! from d3par to other namelists in subroutine package_parin
-!
-! Revision 1.33  2000/04/27 06:55:20  raasch
-! +npex, npey in initial parameter list, comments have to be translated yet,
-! -dt_plisos, dt_plpart, +dt_dvrp, threshold, in run-time parameter list,
-! all comments translated into English, old revision remarks deleted
-!
-! Revision 1.32  2000/04/13 13:03:06  schroeter
-! Erweitern der Parameterlist fuer Wolkenphysik
-!
-! Revision 1.31  2000/01/10  10:05:55  10:05:55  raasch (Siegfried Raasch)
-! +use_ug_for_galilei_tr
-! 
 ! Revision 1.1  1997/07/24 11:22:50  raasch
 ! Initial revision
@@ -187,6 +90,6 @@
                        dt_do2d_yz, dt_do3d, dt_restart, dt_run_control, &
                        end_time, force_print_header, mg_cycles, &
-                       mg_switch_to_pe0_level, netcdf_64bit, ngsrb, &
-                       normalizing_region, nsor, nz_do3d, omega_sor, &
+                       mg_switch_to_pe0_level, netcdf_64bit, netcdf_64bit_3d, &
+                       ngsrb, normalizing_region, nsor, nz_do3d, omega_sor, &
                        prandtl_number, profile_columns, profile_rows, psolver, &
                        rayleigh_damping_factor, rayleigh_damping_height, &