Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1)
+++ palm/trunk/SOURCE/header.f90	(revision 3)
@@ -8,130 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: header.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.63  2006/08/22 13:53:13  raasch
 ! Output of dz_max
-!
-! Revision 1.62  2006/08/04 14:38:41  raasch
-! Generation of the run description header as well as run date and run time
-! moved to routine check_parameters,
-! output for additional particle quantities
-!
-! Revision 1.61  2006/04/26 12:19:51  raasch
-! Output of threads per task
-!
-! Revision 1.60  2006/04/11 14:57:01  raasch
-! pl_spectra renamed data_output_sp
-!
-! Revision 1.59  2006/03/14 12:44:10  raasch
-! Output of the initial geostrophic wind profile corrected
-!
-! Revision 1.58  2006/02/23 12:24:22  raasch
-! Output of psl, psr, pdx, etc. for each particle group, output of e_min,
-! information about volume flow conservation and usage of NetCDF 64 bit offset
-! format, pl.. renamed do.., skip_time control parameters for do..,
-! ebene renamed section, .._anz renamed .._no, dt_average renamed
-! dt_averaging_input_pr
-! output of 2d/3d data averaging informations, buffer is forced to be written
-! on file at the end of the routine
-!
-! Revision 1.57  2005/10/20 14:06:44  raasch
-! Error in output of yz-slice information removed
-!
-! Revision 1.56  2005/07/01 07:48:14  steinfeld
-! Information on the initial profiles of ug and vg added;
-! dependency of ug and vg on height considered in the output of
-! the boundary conditions for u and v
-!
-! Revision 1.55  2005/06/26 19:53:15  raasch
-! gas_constant renamed r_d, latent_heat renamed l_v, radius is used instead
-! of diameter, output formats 335+337 changed
-!
-! Revision 1.54  2005/05/19 08:32:27  raasch
-! Error in output of particle inertia information removed
-!
-! Revision 1.53  2005/05/18 15:31:59  raasch
-! Informations about data output format (netcdf, iso2d, etc.) are given
-!
-! Revision 1.52  2005/04/23 09:16:10  raasch
-! fcl_factor renamed cfl_factor
-!
-! Revision 1.51  2005/03/26 20:23:14  raasch
-! Output of horizontal boundary conditions, output of additional call of
-! pressure solver in case of Runge-Kutta schemes,
-! calculate the number of particle groups (formerly unknown = 0 )
-!
-! Revision 1.50  2004/04/30 11:48:02  raasch
-! Forcing a 1d-decomposition is output on linux-cluster and decalpha,
-! output of subdomain sizes, impulse_advec renamed momentum_advec
-!
-! Revision 1.49  2004/01/28 15:09:15  raasch
-! Output of timestep schemes modified
-!
-! Revision 1.48  2003/10/29 08:52:04  raasch
-! Additional output for multigrid method (lowest levels gathered on PE0),
-! particle output modified for particle groups
-!
-! Revision 1.47  2003/04/16 12:58:18  raasch
-! Output for mixing length limitations revised
-!
-! Revision 1.46  2003/03/16 09:39:31  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.45  2003/03/14 13:43:21  raasch
-! Informations about random generator
-!
-! Revision 1.44  2003/03/12 16:31:45  raasch
-! Small change for NEC system
-!
-! Revision 1.43  2002/12/19 14:53:47  raasch
-! Informations about user defined restart times added
-!
-! Revision 1.42  2002/09/12 13:03:24  raasch
-! Informations about particle inertia added
-!
-! Revision 1.41  2002/06/11 13:09:11  raasch
-! Information about hybrid solver, usage of 1d-decomposition and fast version
-! of prognostic_equations included,
-! no output of mixing length adjustments in case of constant diffusion
-!
-! Revision 1.40  2002/04/16  08:06:13  08:06:13  raasch (Siegfried Raasch)
-! Informations about particle boundary conditions and output of particle
-! data added, direct output of informations about scalar transport (instead
-! of using humidity)
-! 
-! Revision 1.39  2001/08/21 08:50:54  raasch
-! Informations about mixing length adjustment, particle tails and dvrp PE usage
-! included
-!
-! Revision 1.38  2001/07/20 13:05:39  raasch
-! Information about multigrid method included
-!
-! Revision 1.37  2001/07/12 12:08:14  raasch
-! Additional informations about dvrp-output (host and filenames) and
-! particles (maximum age, random start positions), + module particle_attributes
-!
-! Revision 1.36  2001/03/30 07:23:53  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.35  2001/01/29 12:25:55  raasch
-! Informations about using passive scalar
-!
-! Revision 1.34  2001/01/25 07:00:48  raasch
-! Information about using surface fluxes and fft-method added
-!
-! Revision 1.33  2001/01/05 15:11:41  raasch
-! Spectra informations added. Old revision remarks deleted.
-!
-! Revision 1.32  2001/01/03 13:08:47  letzel
-! File output translated into English.
-!
-! Revision 1.31  2000/12/28 13:04:54  raasch
-! Slicer information added to dvrp-output.
-! Informations about optionally used packages are put in cpp-define-brackets.
-!
-! Revision 1.30  2000/04/27 07:08:14  raasch
-! notice if processor topology is predefined by user,
-! general notice about dvrp-output (including isosurface and particles),
-! all comments translated into English
 !
 ! Revision 1.1  1997/08/11 06:17:20  raasch