Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 12)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 13)
@@ -208,5 +208,5 @@
 !       WRITE (9,*) '--- advec_particles: #1'
 !       WRITE (9,*) '    #of p=',number_of_particles,' #of t=',number_of_tails
-       CALL FLUSH_( 9 )
+!       CALL FLUSH_( 9 )
 !    ENDIF
 !
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 12)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 13)
@@ -79,5 +79,9 @@
 
     WRITE ( 9, * ) '*** myid=', myid, ' Anfang data_output_dvrp'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
     CALL cpu_log( log_point(27), 'data_output_dvrp', 'start' )
 
@@ -95,8 +99,16 @@
           lock_steering_update = .TRUE.
     WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: vor steering_update'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
           CALL DVRP_STEERING_UPDATE( m-1, data_output_dvrp )
     WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: nach steering_update'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
           lock_steering_update = .FALSE.
        ENDIF
@@ -134,5 +146,9 @@
 #if defined( __particles )
     WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: anfang particles'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 !
 !--       DVRP-Calls for plotting particles:
@@ -163,5 +179,9 @@
              WRITE (9,*) '--- before ALLOCATE  simtime=',simulated_time,' #of_tails=', number_of_tails, &
                            ' max#of_tp=', maximum_number_of_tailpoints
-             CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
              ALLOCATE( psize(number_of_tails), p_t(number_of_tails),      &
                        p_c(number_of_tails*maximum_number_of_tailpoints), &
@@ -170,5 +190,9 @@
                        p_z(number_of_tails*maximum_number_of_tailpoints) )
              WRITE (9,*) '--- after ALLOCATE'
-             CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
              psize = 0.0;  p_t = 0;  p_c = 0.0;  p_x = 0.0;  p_y = 0.0
              p_z   = 0.0;
@@ -181,5 +205,9 @@
                    IF ( simulated_time > 1338.0 )  THEN
                       WRITE (9,*) '--- particle ',n,' tail_id=',nn,' #of_tp=',particles(n)%tailpoints
-                      CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
                    ENDIF
                    DO  j = 1, particles(n)%tailpoints
@@ -195,5 +223,9 @@
                          WRITE (9,*) '--- tp= ',i,' x=',p_x(i),' y=',p_y(i), &
                                                  ' z=',p_z(i),' c=',p_c(i)
-                         CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
                       ENDIF
                    ENDDO
@@ -202,10 +234,18 @@
                    IF ( simulated_time > 1338.0 )  THEN
                       WRITE (9,*) '--- t= ',k,' psize=',psize(k),' p_t=',p_t(k)
-                      CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
                    ENDIF
                 ENDIF                
              ENDDO
              WRITE (9,*) '--- after locally storing the particle attributes'
-             CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
           ENDIF
 
@@ -231,9 +271,17 @@
              ELSE
                 WRITE (9,*) '--- before DVRP_PARTICLES'
-                CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
                 CALL DVRP_PARTICLES( m-1, number_of_tails, p_x, p_y, p_z, 15, &
                                      psize, p_c, p_t )
                 WRITE (9,*) '--- after DVRP_PARTICLES'
-                CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
              ENDIF
           ENDIF
@@ -241,5 +289,9 @@
           CALL DVRP_VISUALIZE( m-1, 3, dvrp_filecount )
     WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: ende particles'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
           DEALLOCATE( psize, p_c, p_t, p_x, p_y, p_z )
@@ -392,5 +444,9 @@
 
     WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: anfang isosurface'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 !
 !--          DVRP-Calls for plotting isosurfaces:
@@ -413,5 +469,9 @@
              CALL DVRP_VISUALIZE( m-1, 1, dvrp_filecount )
     WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: ende isosurface'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
              CALL cpu_log( log_point_s(26), 'dvrp_isosurface', 'stop' )
@@ -420,5 +480,9 @@
 
     WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: anfang slicer'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 !
 !--          DVRP-Calls for plotting slicers:
@@ -450,5 +514,9 @@
 
     WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: ende slicer'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
           ENDIF
 
@@ -465,5 +533,9 @@
     CALL cpu_log( log_point(27), 'data_output_dvrp', 'stop' )
     WRITE ( 9, * ) '*** myid=', myid, ' Ende data_output_dvrp'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
 #endif
Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 12)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 13)
@@ -80,8 +80,10 @@
     ENDIF
 
-    IF ( dvrp_file /= 'default'  .AND.  dvrp_file /= '/dev/null' )  THEN
-       IF ( myid == 0 )  THEN
-          PRINT*, '+++ init_dvrp: dvrp_file="', dvrp_file, '" not allowed'
-          CALL local_stop
+    IF ( dvrp_output /= 'local' )  THEN
+       IF ( dvrp_file /= 'default'  .AND.  dvrp_file /= '/dev/null' )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ init_dvrp: dvrp_file="', dvrp_file, '" not allowed'
+             CALL local_stop
+          ENDIF
        ENDIF
     ENDIF
@@ -138,5 +140,10 @@
 
     WRITE ( 9, * ) '***  vor dvrp_output_rtsp'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
+
              dvrp_file   = TRIM( mode_dvrp(m) ) // '/camera.dvr'
              dvrp_file_c = dvrp_file
@@ -145,5 +152,9 @@
                                     dvrp_file_c )
     WRITE ( 9, * ) '***  nach dvrp_output_rtsp'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -163,5 +174,5 @@
                 dvrp_file_local_c = dvrp_file_c
              ENDIF
-!             CALL DVRP_OUTPUT_LOCAL( m-1, 0, dvrp_file_local_c )
+             CALL DVRP_OUTPUT_LOCAL( m-1, 0, dvrp_file_local_c )
 
           ENDIF
@@ -169,5 +180,9 @@
           CALL DVRP_CAMERA( m-1, center, distance )
     WRITE ( 9, * ) '***  #1'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
 !
@@ -182,5 +197,9 @@
           CALL DVRP_EXIT( m-1 )
     WRITE ( 9, * ) '***  #2'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
 
@@ -199,5 +218,9 @@
                                     dvrp_file_c )
     WRITE ( 9, * ) '***  #3'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
           ENDIF
@@ -228,5 +251,9 @@
           CALL DVRP_MATERIAL_RGB( m-1, 1, 0.8, 0.7, 0.6, 0.0 )
     WRITE ( 9, * ) '***  #4'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
 !
@@ -242,15 +269,31 @@
           ENDDO
     WRITE ( 9, * ) '***  #4.1'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
           CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp, &
                           cyclic_dvrp, cyclic_dvrp, cyclic_dvrp )
     WRITE ( 9, * ) '***  #4.2'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
           CALL DVRP_THRESHOLD( m-1, 1.0 )
     WRITE ( 9, * ) '***  #4.3'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
           CALL DVRP_VISUALIZE( m-1, 1, 0 )
     WRITE ( 9, * ) '***  #4.4'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
           DEALLOCATE( local_pf )
@@ -258,5 +301,9 @@
           CALL DVRP_EXIT( m-1 )
     WRITE ( 9, * ) '***  #5'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
 !
@@ -274,5 +321,9 @@
                                     dvrp_file_c )
     WRITE ( 9, * ) '***  #6'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
           ENDIF
@@ -303,5 +354,9 @@
           CALL DVRP_MATERIAL_RGB( m-1, 1, 0.0, 0.6, 0.0, 0.0 )
     WRITE ( 9, * ) '***  #7'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
 !
@@ -320,5 +375,9 @@
           CALL DVRP_EXIT( m-1 )
     WRITE ( 9, * ) '***  #8'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
     
@@ -361,9 +420,17 @@
                 name_c = TRIM( do3d(0,vn) )
     WRITE ( 9, * ) '***  #9'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
                 CALL DVRP_STEERING_INIT( m-1, name_c, steering_dvrp(pn)%min, &
                                          steering_dvrp(pn)%max, threshold(tv) )
     WRITE ( 9, * ) '***  #10'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
              ELSEIF ( mode_dvrp(pn)(1:6) == 'slicer' )  THEN
@@ -409,5 +476,9 @@
 
     WRITE ( 9, * ) '***  #11'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
           dvrp_file = TRIM( mode_dvrp(m) ) // '/*****.dvr'
@@ -417,5 +488,9 @@
                                  dvrp_file_c )
     WRITE ( 9, * ) '***  #12'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
        ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -429,10 +504,10 @@
 
           IF ( dvrp_file(1:9) /= '/dev/null' )  THEN
-             dvrp_file_local   = TRIM( mode_dvrp(m) ) // '.camera.dvr'
+             dvrp_file_local   = TRIM( mode_dvrp(m) ) // '_%05d.dvr'
              dvrp_file_local_c = dvrp_file_local
           ELSE
              dvrp_file_local_c = dvrp_file_c
           ENDIF
-!          CALL DVRP_OUTPUT_LOCAL( m-1, 0, dvrp_file_local_c )
+          CALL DVRP_OUTPUT_LOCAL( m-1, 0, dvrp_file_local_c )
 
        ENDIF
@@ -469,10 +544,18 @@
 !--    Define the grid used by dvrp
     WRITE ( 9, * ) '***  #13'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
        CALL DVRP_GRID( m-1, nx_dvrp, ny_dvrp, nz_dvrp, xcoor_dvrp, ycoor_dvrp, &
                        zcoor_dvrp )
     WRITE ( 9, * ) '***  #14'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
 
@@ -507,22 +590,46 @@
 !-- Initialize logging of calls by DVRP graphic software
     WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_LOG_INIT'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
     CALL DVRP_LOG_INIT( 'DVRP_LOG' // CHAR( 0 ), 0 )
     WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_LOG_INIT'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
 !
 !-- User-defined logging events: #1 (total time needed by PALM)
     WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_LOG_SYMBOL'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
     CALL DVRP_LOG_SYMBOL( 1, 'PALM_total' // CHAR( 0 ) )
     WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_LOG_SYMBOL'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
     CALL DVRP_LOG_SYMBOL( 2, 'PALM_timestep' // CHAR( 0 ) )
     WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_LOG_EVENT'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
     CALL DVRP_LOG_EVENT( 1, 1 )
     WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_LOG_EVENT'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
 
 #if defined( __parallel )
@@ -533,8 +640,16 @@
        use_seperate_pe_for_dvrp_output = .TRUE.
     WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_SPLIT'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
        CALL DVRP_SPLIT( MPI_COMM_WORLD, comm_palm )
     WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_SPLIT'
-    CALL FLUSH_( 9 )
+#if defined( __ibm )
+    CALL FLUSH_( 9 )
+#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
+    CALL FLUSH( 9 )
+#endif
        CALL MPI_COMM_SIZE( comm_palm, numprocs, ierr )
     ENDIF