Index: /palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.default	(revision 17)
+++ /palm/trunk/SCRIPTS/.mrun.config.default	(revision 18)
@@ -4,5 +4,5 @@
 %mainprog          palm.f90
 #%base_directory    $HOME/palm/current_version
-#%base_data         palm/current_version/JOBS
+#%base_data         ~/palm/current_version/JOBS
 #%source_path       $base_directory/SOURCE
 %add_source_path   $base_directory/USER_CODE/$fname
@@ -204,102 +204,56 @@
 # List of input-files
 #----------------------------------------------------------------------------
-PARIN                    in:job        d3#   ~/$base_data/$fname/INPUT    _p3d
-PARIN                    in:job        d3f   ~/$base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#   ~/$base_data/$fname/INPUT    _topo
-BININ                    in:loc:flpe   d3f   ~/$base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf  ~/$base_data/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf   ~/$base_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf   ~/$base_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf   ~/$base_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf  ~/$base_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf   ~/$base_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf   ~/$base_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf   ~/$base_data/$fname/OUTPUT   _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf   ~/$base_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df   ~/$base_data/$fname/OUTPUT   _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf  ~/$base_data/$fname/OUTPUT   _prt
+PARIN                    in:job        d3#   $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f   $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#   $base_data/$fname/INPUT    _topo
+BININ                    in:loc:flpe   d3f   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf  $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf   $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf   $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf   $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf  $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf   $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf   $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf   $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf   $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df   $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf  $base_data/$fname/OUTPUT   _prt
 #
 #----------------------------------------------------------------------------
 # List of output-files
 #----------------------------------------------------------------------------
-BINOUT                    out:loc:flpe restart   ~/$base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf ~/$base_data/$fname/RESTART  _rprt
-#
-RUN_CONTROL       out:loc:tr   d3#     ~/$base_data/$fname/MONITORING  _rc
-RUN_CONTROL       out:loc:tra  d3f     ~/$base_data/$fname/MONITORING  _rc
-HEADER            out:loc:tr   d3#     ~/$base_data/$fname/MONITORING  _header
-HEADER            out:loc:tra  d3f     ~/$base_data/$fname/MONITORING  _header
-CPU_MEASURES      out:loc:tr   d3#     ~/$base_data/$fname/MONITORING  _cpu
-CPU_MEASURES      out:loc:tra  d3f     ~/$base_data/$fname/MONITORING  _cpu
-DVRP_LOG          out:loc:tr   dv#     ~/$base_data/$fname/MONITORING  _dvrp_log
-DVRP_LOG          out:loc:tra  dvf     ~/$base_data/$fname/MONITORING  _dvrp_log
-PARTICLE_INFO     out:loc:tr   pt#     ~/$base_data/$fname/MONITORING  _prt_info
-PARTICLE_INFO     out:loc:tra  ptf     ~/$base_data/$fname/MONITORING  _prt_info
-#
-DATA_1D_PR_NETCDF out:loc:tr   pr#:prf ~/$base_data/$fname/OUTPUT      _pr  nc
-#DATA_1D_PR_NETCDF out:loc      pr#:prf ~/$base_data/$fname/OUTPUT      _pr  nc
-#DATA_1D_SP_NETCDF out:loc:tr   sp#:spf ~/$base_data/$fname/OUTPUT      _sp  nc
-DATA_1D_SP_NETCDF out:loc      sp#:spf ~/$base_data/$fname/OUTPUT      _sp  nc
-#DATA_1D_TS_NETCDF out:loc:tr   ts#:tsf ~/$base_data/$fname/OUTPUT      _ts  nc
-DATA_1D_TS_NETCDF out:loc      ts#:tsf ~/$base_data/$fname/OUTPUT      _ts  nc
-DATA_1D_PTS_NETCDF out:loc     pts#:ptsf ~/$base_data/$fname/OUTPUT      _pts  nc
-DATA_1D_PTS_NETCDF out:loc:tr  pts#:ptsf ~/$base_data/$fname/OUTPUT      _pts  nc
-DATA_2D_XY_NETCDF out:loc:tr   xy#:xyf ~/$base_data/$fname/OUTPUT      _xy  nc
-DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf ~/$base_data/$fname/OUTPUT      _xy_av  nc
-#DATA_2D_XY_NETCDF out:loc      xy#:xyf ~/$base_data/$fname/OUTPUT      _xy  nc
-DATA_2D_XZ_NETCDF out:loc:tr   xz#:xzf ~/$base_data/$fname/OUTPUT      _xz  nc
-DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf ~/$base_data/$fname/OUTPUT      _xz_av  nc
-#DATA_2D_XZ_NETCDF out:loc      xz#:xzf ~/$base_data/$fname/OUTPUT      _xz  nc
-DATA_2D_YZ_NETCDF out:loc:tr   yz#:yzf ~/$base_data/$fname/OUTPUT      _yz  nc
-DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf ~/$base_data/$fname/OUTPUT      _yz_av  nc
-#DATA_2D_YZ_NETCDF out:loc      yz#:yzf ~/$base_data/$fname/OUTPUT      _yz  nc
-DATA_3D_NETCDF    out:loc:tr   3d#:3df ~/$base_data/$fname/OUTPUT      _3d  nc
-DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df ~/$base_data/$fname/OUTPUT      _3d_av  nc
-#DATA_3D_NETCDF    out:loc      3d#:3df ~/$base_data/$fname/OUTPUT      _3d  nc
-DATA_PRT_NETCDF   out:loc:pe   prt#:prtf ~/$base_data/$fname/OUTPUT    _prt
-DATA_PRT_NETCDF   out:loc:trpe prt#:prtf ~/$base_data/$fname/OUTPUT    _prt
-PLOTTS_PAR        out:loc:tr   ts#:tsf ~/$base_data/$fname/OUTPUT      _ts_par
-PLOTTS_DATA       out:loc:tr   ts#     ~/$base_data/$fname/OUTPUT      _ts_in
-PLOTTS_DATA       out:loc:tra  tsf     ~/$base_data/$fname/OUTPUT      _ts_in
-PLOT1D_PAR        out:loc:tr   pr#:prf ~/$base_data/$fname/OUTPUT      _pr_par
-PLOT1D_DATA       out:loc:tr   pr#     ~/$base_data/$fname/OUTPUT      _pr_in
-PLOT1D_DATA       out:loc:tr   prf     ~/$base_data/$fname/OUTPUT      _pr_in
-PLOTSP_X_PAR      out:loc:tr   spx     ~/$base_data/$fname/OUTPUT      _spx_par
-PLOTSP_X_DATA     out:loc:tr   spx     ~/$base_data/$fname/OUTPUT      _spx_in
-PLOTSP_Y_PAR      out:loc:tr   spy     ~/$base_data/$fname/OUTPUT      _spy_par
-PLOTSP_Y_DATA     out:loc:tr   spy     ~/$base_data/$fname/OUTPUT      _spy_in
-#PLOT2D_XY_GLOBAL  out:loc:tr   xy      ~/$base_data/$fname/OUTPUT      _xy_par
-#PLOT2D_XY         out:loc:tr   xy      ~/$base_data/$fname/OUTPUT      _xy_in
-#PLOT2D_XZ_GLOBAL  out:loc:tr   xz      ~/$base_data/$fname/OUTPUT      _xz_par
-#PLOT2D_XZ         out:loc:tr   xz      ~/$base_data/$fname/OUTPUT      _xz_in
-#PLOT2D_YZ_GLOBAL  out:loc:tr   yz      ~/$base_data/$fname/OUTPUT      _yz_par
-#PLOT2D_YZ         out:loc:tr   yz      ~/$base_data/$fname/OUTPUT      _yz_in
-PLOT3D_FLD        out:loc:tr   avs     ~/$base_data/$fname/OUTPUT      _fld  fld
-PLOT3D_COOR       out:loc:tr   avs     ~/$base_data/$fname/OUTPUT      _avscor
-PLOT3D_DATA       out:loc:tr   avs     ~/$base_data/$fname/OUTPUT      _avs
-PARTICLE_DATA     out:loc:flpe prt#:prtf ~/$base_data/$fname/OUTPUT    _prt_dat
-#
-# Output-example for using more than one statistical region
-#PLOTTS_PAR_0      out:loc:tr   ts#:tsf ~/$base_data/$fname/OUTPUT      _ts_0_par
-#PLOTTS_DATA_0     out:loc:tr   ts#     ~/$base_data/$fname/OUTPUT      _ts_0_in
-#PLOTTS_DATA_0     out:loc:tra  tsf     ~/$base_data/$fname/OUTPUT      _ts_0_in
-#PLOTTS_PAR_1      out:loc:tr   ts#:tsf ~/$base_data/$fname/OUTPUT      _ts_1_par
-#PLOTTS_DATA_1     out:loc:tr   ts#     ~/$base_data/$fname/OUTPUT      _ts_1_in
-#PLOTTS_DATA_1     out:loc:tra  tsf     ~/$base_data/$fname/OUTPUT      _ts_1_in
-#PLOTTS_PAR_2      out:loc:tr   ts#:tsf ~/$base_data/$fname/OUTPUT      _ts_2_par
-#PLOTTS_DATA_2     out:loc:tr   ts#     ~/$base_data/$fname/OUTPUT      _ts_2_in
-#PLOTTS_DATA_2     out:loc:tra  tsf     ~/$base_data/$fname/OUTPUT      _ts_2_in
-PLOT1D_PAR_0      out:loc:tr   pr#:prf ~/$base_data/$fname/OUTPUT      _pr_0_par
-PLOT1D_DATA_0     out:loc:tr   pr#     ~/$base_data/$fname/OUTPUT      _pr_0_in
-PLOT1D_PAR_1      out:loc:tr   pr#:prf ~/$base_data/$fname/OUTPUT      _pr_1_par
-PLOT1D_DATA_1     out:loc:tr   pr#     ~/$base_data/$fname/OUTPUT      _pr_1_in
-PLOT1D_PAR_2      out:loc:tr   pr#:prf ~/$base_data/$fname/OUTPUT      _pr_2_par
-PLOT1D_DATA_2     out:loc:tr   pr#     ~/$base_data/$fname/OUTPUT      _pr_2_in
-PLOT1D_PAR_3      out:loc:tr   pr#:prf ~/$base_data/$fname/OUTPUT      _pr_3_par
-PLOT1D_DATA_3     out:loc:tr   pr#     ~/$base_data/$fname/OUTPUT      _pr_3_in
-PLOT1D_PAR_4      out:loc:tr   pr#:prf ~/$base_data/$fname/OUTPUT      _pr_4_par
-PLOT1D_DATA_4     out:loc:tr   pr#     ~/$base_data/$fname/OUTPUT      _pr_4_in
-LIST_PROFIL_1D    out:loc:tr   d3#     ~/$base_data/$fname/MONITORING  _list_pr
-PLOTTS_PAR_0      out:loc:tr   ts#:tsf ~/$base_data/$fname/OUTPUT      _ts_par
-PLOTTS_DATA_0     out:loc:tr   ts#     ~/$base_data/$fname/OUTPUT      _ts_in
-PLOTTS_DATA_0     out:loc:tra  tsf     ~/$base_data/$fname/OUTPUT      _ts_in
+BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
+#
+RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
+RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
+HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
+HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
+CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
+CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
+DVRP_LOG          out:loc:tr   dv#     $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf     $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#     $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf     $base_data/$fname/MONITORING  _prt_info
+#
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
+#DATA_1D_PR_NETCDF    out:loc      pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
+DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
+#
+PLOT3D_FLD        out:loc:tr   avs     $base_data/$fname/OUTPUT      _fld  fld
+PLOT3D_COOR       out:loc:tr   avs     $base_data/$fname/OUTPUT      _avscor
+PLOT3D_DATA       out:loc:tr   avs     $base_data/$fname/OUTPUT      _avs
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT    _prt_dat
+