Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 26)
+++ palm/trunk/SCRIPTS/mbuild	(revision 27)
@@ -79,5 +79,6 @@
      # 07/02/07 - Siggi - adapted for RIAM (neck)
      # 10/02/07 - Siggi - all hpmuk-related code removed
-     # 28/02/07 - Siggi - compilation of utility programs added (option -u)
+     # 28/02/07 - Siggi - compilation of utility programs and transfer of
+     #                    scripts to remote hosts added (option -u)
 
 
@@ -810,4 +811,30 @@
 
 
+       # BEI BENUTZUNG EINES PARALLELEN COMPILERS MUSS AUCH EIN
+       # SERIELLER COMPILERNAME ERMITTELT WERDEN
+    if [[ $(echo $remote_host_string | grep -c parallel) = 1 ]]
+    then
+       line=""
+       grep  "$remote_host_string" $config_file | grep "%compiler_name_ser"  |  while read line1
+       do
+          if [[ $(echo $line1 | cut -d" " -s -f3-) = "$remote_host_string" ]]
+          then
+             line="$line1"
+          fi
+       done
+
+       if [[ "$line" = ""  ||  $(echo $line | cut -c1) = "#" ]]
+       then
+          printf "\n  +++ no seriel compiler name found in configuration file"
+          printf "\n      for \"$remote_host_string\" "
+          locat=config_file; exit
+       else
+          compiler_name_ser=`echo $line | cut -d" " -s -f2`
+       fi
+    else
+       compiler_name_ser=$compiler_name
+    fi
+
+
 
        # PRAEPROZESSOR-DIREKTIVEN SETZEN
@@ -1241,6 +1268,6 @@
 
              printf "\n\n"
-             echo "  *** copying utility programs to \"${remote_addres}:${remote_ud}/\" "
-             cd  ${local_source_path}/../UTIL
+             echo "  *** copying scripts and utility programs to \"${remote_addres}:${remote_ud}/\" "
+             cd  ${local_source_path}/../SCRIPTS
 
              if [[ $remote_host != lctit ]]
@@ -1253,4 +1280,21 @@
              fi
 
+                # KOPIEREN DER SCRIPTE
+             if [[ $local_host = decalpha ]]
+             then
+                   # DECALPHA BENUTZT BEI NICHTANGABE DES VOLLSTÄNDIGEN PFADES
+                   # IRGENDEIN ANDERES SCP (WAS NICHT FUNKTIONIERT). AUSSERDEM
+                   # KOENNEN DOLLAR-ZEICHEN NICHT BENUTZT WERDEN
+                remote_ud=`echo $remote_ud | sed 's/\$HOME\///'`
+                /bin/scp  batch_scp mbuild mrun subjob  ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
+             else
+                scp  Makefile  *.f90  ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
+             fi
+
+             cd  -  > /dev/null
+             cd  ${local_source_path}/../UTIL
+
+
+                # KOPIEREN DER UTILITY-PROGRAMME
              if [[ $local_host = decalpha ]]
              then
@@ -1274,7 +1318,7 @@
              if [[ $remote_host = nech ]]
              then
-                make_call_string="sxmake  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$loader_options\" "
+                make_call_string="sxmake  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$loader_options\" "
              else
-                make_call_string="make  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$loader_options\" "
+                make_call_string="make  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$loader_options\" "
              fi
 
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 26)
+++ palm/trunk/SCRIPTS/mrun	(revision 27)
@@ -180,6 +180,5 @@
  read_from_config=""
  restart_run=false
-# return_addres=$(nslookup `hostname` 2>&1 | grep "Address:" | tail -1 | awk '{print $2}')
-return_addres=130.75.105.2
+ return_addres=$(nslookup `hostname` 2>&1 | grep "Address:" | tail -1 | awk '{print $2}')
  if [[ $return_addres = 130.75.105.158 ]]
  then
Index: palm/trunk/UTIL/Makefile
===================================================================
--- palm/trunk/UTIL/Makefile	(revision 26)
+++ palm/trunk/UTIL/Makefile	(revision 27)
@@ -25,4 +25,5 @@
 
 F90 =
+F90_SER =
 COPT =
 F90FLAGS =
@@ -35,11 +36,11 @@
 
 $(PROG1): $(OBJS1)
-	$(F90) -o $(PROG1) $(OBJS1) $(LDFLAGS)
+	$(F90_SER) -o $(PROG1) $(OBJS1) $(LDFLAGS)
 
 $(PROG2): $(OBJS2)
-	$(F90) -o $(PROG2) $(OBJS2) $(LDFLAGS)
+	$(F90_SER) -o $(PROG2) $(OBJS2) $(LDFLAGS)
 
 .f90.o:
-	$(F90) $(F90FLAGS) $(COPT) -c $<
+	$(F90_SER) $(F90FLAGS) $(COPT) -c $<
 
 