Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 34)
+++ palm/trunk/SCRIPTS/mbuild	(revision 35)
@@ -1402,5 +1402,5 @@
              echo "  *** compiling the utility programs ..."
              cd ${local_source_path}/../UTIL
-             make  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$loader_options"
+             make  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$loader_options"
              cd  -  > /dev/null
           fi
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 34)
+++ palm/trunk/SCRIPTS/subjob	(revision 35)
@@ -79,4 +79,5 @@
      # 28/11/06 - Siggi - levanto admitted
      # 13/02/07 - Siggi - hpmuk releated code removed
+     # 01/03/07 - Siggi - adjustments for RIAM machines gate and NEC-SX8 (n-sx)
 
 
@@ -147,4 +148,5 @@
      (cs*)                   local_addres=136.172.44.131; local_host=nech;;
      (elephanta)             local_addres=130.75.105.6;   local_host=lcmuk;;
+     (gate|n-sx)             local_addres=133.5.178.11;   local_host=neck;;
      (gfdl5)                 local_addres=165.132.26.58;  local_host=ibmy;;
      (gfdl3.yonsei.ac.kr)    local_addres=165.132.26.56;  local_host=decalpha;;
@@ -218,5 +220,5 @@
     printf "\n        -h    execution host, available hosts:    $remote_host"
     printf "\n              ibm, ibmb, ibmh, ibms, ibmy, lcmuk,"
-    printf "\n              unics"
+    printf "\n              lctit, nech, neck, unics"
     printf "\n        -m    memory demand per process in MByte  ---"
     printf "\n        -n    jobname                             <jobdatei>"
@@ -288,4 +290,5 @@
         (lctit)  queue=test; remote_addres=172.17.75.161; submcom=/n1ge/TITECH_GRID/tools/bin/n1ge;;
         (nech)   qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=136.172.44.147; submcom="/usr/local/bin/qsub";;
+        (neck)   qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=133.5.178.11; submcom="/usr/bin/nqsII/qsub";;
         (vpp)    qsubmem=m; qsubtime=t; queue=vpp; remote_addres=130.75.4.130;;
         (unics)  qsubmem=d; qsubtime=t; queue=unics; remote_addres=130.75.6.1;;
@@ -414,5 +417,5 @@
  done
 
- if [[ $remote_host = nech ]]
+ if [[ $remote_host = nech  ||  $remote_host = neck ]]
  then
     if (( tasks_per_node != 0 ))
@@ -642,4 +645,46 @@
     fi
 
+ elif [[ $remote_host = neck ]]
+ then
+
+    if (( nodes > 1 ))
+    then
+       cat > $job_to_send << %%END%%
+#!/bin/ksh
+#PBS -l cpunum_prc=$tasks_per_node,cputim_job=$cputime
+#PBS -l ${qsubmem}=${Memory}gb
+#PBS -b $nodes
+#PBS -o $remote_dayfile
+#PBS -N palm
+#PBS -j o
+#PBS -T mpisx
+
+%%END%%
+
+    elif [[ $numprocs != 0 ]]
+    then
+       cat > $job_to_send << %%END%%
+#!/bin/ksh
+#PBS -q ${queue}
+#PBS -l cpunum_prc=$tasks_per_node,cputim_job=$cputime
+#PBS -l ${qsubmem}=${Memory}gb
+#PBS -o $remote_dayfile
+#PBS -N palm
+#PBS -j o
+#PBS -T mpisx
+
+%%END%%
+
+    else
+       cat > $job_to_send << %%END%%
+#!/bin/ksh
+#PBS -l ${qsubmem}=${Memory}gb,${qsubtime}=$cputime
+#PBS -o $remote_dayfile
+#PBS -j o
+
+%%END%%
+
+    fi
+
  elif [[ $remote_host = lctit ]]
  then
@@ -679,5 +724,5 @@
     echo "trap '"                               >>  $job_to_send
     echo "set +vx"                              >>  $job_to_send
-    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = nech  ||  $remote_host = lctit ]]
+    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lctit ]]
     then
        if [[ $remote_host = ibmb  ||  $remote_host = ibmh ]]
@@ -693,13 +738,7 @@
        then
           return_queue=default
-       elif [[ $remote_host = t3eb ]]
-       then
-          return_queue=berte
-       elif [[ $remote_host = t3ej2  ||  $remote_host = t3ej5 ]]
-       then
-          return_queue=normal
-       elif [[ $remote_host = t3es ]]
-       then
-          return_queue=batch
+       elif [[ $remote_host = neck ]]
+       then
+          return_queue=S
        else
           return_queue=unknown
@@ -737,4 +776,17 @@
           echo "set -x"                            >>  $job_to_send
           echo "cd /pf/b/${remote_user}/job_queue" >>  $job_to_send
+          echo "batch_scp  -d  -w 10  -u $local_user $local_addres  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+          echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
+          echo "%%END%%"                           >>  $job_to_send
+
+       elif [[ $remote_host = neck ]]
+       then
+          echo "cat > scpjob.$kennung << %%END%%"  >>  $job_to_send
+          echo "#PBS -q $return_queue"             >>  $job_to_send
+          echo "#PBS -l ${qsubmem}=1GB,${qsubtime}=100"  >>  $job_to_send
+          echo "#PBS -o last_job_transfer_protocol"      >>  $job_to_send
+          echo "#PBS -j o"                         >>  $job_to_send
+          echo " "                                 >>  $job_to_send
+          echo "set -x"                            >>  $job_to_send
           echo "batch_scp  -d  -w 10  -u $local_user $local_addres  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send