Index: /palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.default	(revision 35)
+++ /palm/trunk/SCRIPTS/.mrun.config.default	(revision 36)
@@ -13,4 +13,5 @@
 %tmp_user_catalog  /tmp                                          lcmuk parallel
 %compiler_name     mpif90                                        lcmuk parallel
+%compiler_name_ser ifort                                         lcmuk parallel
 %fopts             -axW:-cpp:-openmp:-r8:-nbs:-convert:little_endian     lcmuk parallel
 %lopts             -axW:-cpp:-openmp:-r8:-nbs:-Vaxlib                    lcmuk parallel
@@ -30,4 +31,5 @@
 #
 %compiler_name     mpxlf95_r                                  ibmh parallel
+%compiler_name_ser xlf95                                      ibmh parallel
 %fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmh parallel
 %lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp   ibmh parallel
@@ -41,4 +43,5 @@
 #
 %compiler_name     mpxlf95_r                                  ibmh parallel debug
+%compiler_name_ser xlf95                                      ibmh parallel debug
 %fopts             -qnoopt:-g:-qsmp=noopt:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmh parallel debug
 %lopts             -qnoopt:-g:-qsmp=noopt:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmh parallel debug
@@ -50,4 +53,5 @@
 #
 %compiler_name     mpxlf95_r                                  ibmh parallel trace
+%compiler_name_ser xlf95                                      ibmh parallel trace
 %fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmh parallel trace
 %lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmh parallel trace
@@ -59,4 +63,5 @@
 #
 %compiler_name     mpxlf95_r                                  ibmh parallel hpmcount
+%compiler_name_ser xlf95                                      ibmh parallel hpmcount
 %fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qsmp=omp:-qarch=pwr4:-qnosave:-qnoescape    ibmh parallel hpmcount
 %lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qsmp=omp:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp  ibmh parallel hpmcount
@@ -69,4 +74,5 @@
 #
 %compiler_name     mpxlf95_r                                  ibmb parallel
+%compiler_name_ser xlf95                                      ibmb parallel
 %fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmb parallel
 %lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp  ibmb parallel
@@ -78,4 +84,5 @@
 #
 %compiler_name     mpxlf95_r                                  ibmb parallel deb
+%compiler_name_ser xlf95                                      ibmb parallel deb
 %fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmb parallel deb
 %lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmb parallel deb
@@ -87,4 +94,5 @@
 #
 %compiler_name     sxmpif90                                   nech parallel
+%compiler_name_ser sxf90                                      nech parallel
 %fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  nech parallel
 %lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  nech parallel
@@ -97,4 +105,5 @@
 #
 %compiler_name     sxmpif90                                   neck parallel
+%compiler_name_ser sxf90                                      neck parallel
 %fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  neck parallel
 %lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  neck parallel
@@ -118,4 +127,5 @@
 %source_path       /edun/z051nyg/palm/current_version/SOURCE  ibms parallel
 %compiler_name     mpxlf95_r                                  ibms parallel
+%compiler_name_ser xlf95                                      ibms parallel
 %fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qsmp=omp:-qarch=pwr4:-qnosave:-qnoescape    ibms parallel
 %lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qsmp=omp:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp  ibms parallel
@@ -132,4 +142,5 @@
 %source_path       $base_directory/SOURCE                     ibmy parallel
 %compiler_name     mpxlf95_r                                  ibmy parallel
+%compiler_name_ser xlf95                                      ibmy parallel
 %fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
 %lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
@@ -143,4 +154,5 @@
 #
 %compiler_name     mpxlf95_r                                  ibmy parallel trace
+%compiler_name_ser xlf95                                      ibmy parallel trace
 %fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace
 %lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace